Prepare an environment
Our API documentation can be found here
Select an iProov tentant The iProov platform is available in the following geographical regions, select the most appropriate to ensure minimum latency and the best user experience:
| Platform | API Base URL | SDK URL |
|---|---|---|
| Multi-tenant EU | https://eu.rp.secure.iproov.me/api/v2 | wss://eu.rp.secure.iproov.me/ws |
| Multi-tenant USA | https://us.rp.secure.iproov.me/api/v2 | wss://us.rp.secure.iproov.me/ws |
| Multi-tenant Singapore | https://sg.rp.secure.iproov.me/api/v2 | wss://sg.rp.secure.iproov.me/ws |
| Multi-tenant Australia | https://au.rp.secure.iproov.me/api/v2 | wss://au.rp.secure.iproov.me/ws |
| Multi-tenant Jakarta | https://jkt.rp.secure.iproov.me/api/v2 | wss://jkt.rp.secure.iproov.me/ws |
| Multi-tenant LATAM | https://latam.rp.secure.iproov.me/api/v2 | wss://latam.rp.secure.iproov.me/ws |
Important The platform you select must match the one specified in the service provider configuration and the client SDK streaming URL. A miss match will result in a HTTP 401 error code with this response message:
"error": "invalid_key",
"error_description": "Invalid Public and/or Private Key"
}
Obtain API authentication credentials
The iProov REST API has two sections, each with a different authentication mechanism. API and OAuth 2.0 credentials can be obtained when creating a service provider:
- Service API
- Management API
| Endpoint group | Authentication mechanism |
|---|---|
POST /claim/enrol/tokenPOST /claim/enrol/imagePOST /claim/enrol/validatePOST /claim/verify/tokenPOST /claim/verify/validate | API key and secret |
POST /{api_key}/access_token | OAuth 2.0 username and password |
POST /users/{user_id}/activatePOST /users/{user_id}/suspendGET /users/{existing_user_id}PUT /users/{existing_user_id}DELETE /users/{existing_user_id}POST /claim/{token}/invalidate | OAuth access token |